\documentclass[paper=a4,papersize,DIV=15,BCOR=0mm,oneside,parskip=full]{scrartcl}
%\documentclass[12pt, a4paper,oneside, DIV=18]{scrbook}
%\usepackage[a4paper, bottom=20mm, top = 25 mm, head = 22mm, hmargin=2cm] {geometry}                % See geometry.pdf to learn the layout options. There are lots.
%\geometry{a4paper}                   % ... or a4paper or a5paper or ... 
%\geometry{landscape}                % Activate for for rotated page geometry

\usepackage[utf8]{inputenc} %+Umlaute
\usepackage[T1]{fontenc}
\usepackage{csquotes}
\usepackage{url}
%\usepackage[ngerman]{babel}
\usepackage[backend=biber
,style=iso-numeric
,autolang=other
,bibencoding=UTF8
]{biblatex}
\addbibresource{sw-requirements.bib}
\usepackage{hyperref}

% Einrücken von Absätzen
%\usepackage[parfill]{parskip}    % Activate to begin paragraphs with an empty line rather than an indent
%\setlength{\parindent}{0pt}

% Tabellen mit Layout
\usepackage{tabu}
% Tabellen exakt an der Stelle im Text wo sie im source sind
\usepackage{float}

%\usepackage{SIunits} %Einheiten formatieren

%\usepackage{listings} %Source Code darstellen
%\lstset{numbers=left, numberstyle=\small, numbersep=5pt, basicstyle=\ttfamily}

% Literatur
%\usepackage{natbib}
%\bibpunct{(}{)}{;}{a}{}{,}

% Gerahmte Boxen
\usepackage[framemethod=tikz]{mdframed}
  
 % Blaue Box für Beispiele und Aufgaben
 \newenvironment{bbox}[1][]{%
 \ifstrempty{#1}% 
 {}% 
 {\mdfsetup{%
frametitle={#1},
 %innertopmargin=15pt,
 }%
}% 
 \mdfsetup{linecolor=blue,
 % innertopmargin=2pt,
 backgroundcolor=blue!3,
 frametitlebackgroundcolor=blue!40,
 middlelinewidth=1pt,
 %topline=true,
 %needspace=2cm,
 %roundcorner=5pt,
 %frametitleaboveskip=5pt
 } 
 \begin{mdframed}[]\relax%
}{\end{mdframed}}


% Rote Box für wichtige Punkte
 \newenvironment{rbox}[1][]{%
 \ifstrempty{#1}% 
 {}% 
 {\mdfsetup{%
frametitle={#1},
% innertopmargin=15pt,
 }%
}% 
 \mdfsetup{linecolor=red,
 % innertopmargin=2pt,
 backgroundcolor=red!10,
 frametitlebackgroundcolor=red!40,
 middlelinewidth=1pt,
 topline=true,
 needspace=2cm,
 roundcorner=5pt,
 frametitleaboveskip=5pt
 } 
 \begin{mdframed}[]\relax%
}{\end{mdframed}}


% Kopf- und Fußzeilen
%\usepackage{fancyhdr}
%\pagestyle{fancy}
%\fancyhf{}

% Graphiken
%\usepackage{graphicx}

% Mathematik align environment fuer Gleichungen
\usepackage{amsmath}

%\usepackage{amssymb}
%\usepackage{epstopdf}
%\DeclareGraphicsRule{.tif}{png}{.png}{`convert #1 `dirname #1`/`basename #1 .tif`.png}

% Graphikpaket für die Schaltungen
\usepackage{tikz}
\usetikzlibrary{positioning}
\usetikzlibrary{angles,quotes}
%\usepackage[european]{circuitikz}
%\usetikzlibrary{calc} 
%\usetikzlibrary{circuits} 
\usetikzlibrary{circuits.logic.IEC,circuits.ee.IEC,circuits.logic.US}
%\usetikzlibrary{shapes.geometric}
\usepackage{pgfplots}

% Zustandsautomaten
%\usetikzlibrary{automata}


% Timingdiagramm
%\usepackage{tikz-timing}
%\usetikztiminglibrary{advnodes}


\renewcommand{\labelenumi}{\alph{enumi})}
%\renewcommand{\theenumi}{\alph{enumi}}

% Kopfzeile
%\usepackage{lastpage}
%\usepackage{scrlayer-scrpage}
%\rohead{\thepage \  / \pageref{LastPage}}


\title{SearchWing Fiber - Requirements}
\subtitle{Component Interface and Functional Requirements}
%\subject{Hochschule Augsburg}
%\titlehead{Hochschule Augsburg}
\author{Prof. Dr.-Ing. Friedrich Beckmann}
\date{Nov 2023 - Version 1}                                           % Activate to display a given date or no date
\KOMAoptions{titlepage=no}

%Requirementscounter

\newcounter{reqc}[subsection]
\newcounter{subreqc}[reqc]
\renewcommand\thereqc{\thesubsection.\arabic{reqc}}
\renewcommand\thesubreqc{\thesubsection.\arabic{reqc}.\arabic{subreqc}}
\newenvironment{req}
{
\refstepcounter{reqc}
\vspace{3mm}
\begin{tabular}{p{0.25\textwidth}p{0.65\textwidth}}
\textbf{Requirement \thereqc}&\hspace{0.001mm}}
{\end{tabular}
\vspace{3mm}}
 
\newenvironment{subreq}
{
\refstepcounter{subreqc}
\vspace{3mm}
\begin{tabular}{p{0.25\textwidth}p{0.65\textwidth}}
\textbf{Requirement \thesubreqc}&\hspace{0.001mm}}
{\end{tabular}\vspace{3mm}}


\begin{document}
%\shorthandoff{"}

\maketitle

%\thispagestyle{empty}
%\newgeometry{a4paper, hmargin=2cm, top= 2cm}


%\restoregeometry
%\pagestyle{fancy}

\begin{abstract}
The SearchWing fiber drone is split in different functional modules. The requirements for all modules in terms of interface and functional requirements are described in this document.
\end{abstract}

\section{Introduction}

The SearchWing fiber drone construction has a primary focus on salt water resistance. This is achieved by a fiber pipe fuselage construction with the following features

\begin{itemize}
\item Inner fuselage pipe diameter 48mm
\item Outer fuselage pipe diameter 50mm
\item Front Battery section contains battery
\item Middle section contains flight computer and camera payload
\item End section contains V-Tail and motor control
\item Two 4mm servo shafts leave the pipe for V-Tail control
\item 35mm diameter motor is outside the fuselage
\item Wing with dihedral avoids need for aileron.
\end{itemize}

This document describes requirements which are derived from the top level requirements described in \cite{swtoprequ}. This document uses the words \textbf{MUST}, \textbf{MUST NOT}, \textbf{SHOULD},  \textbf{SHOULD NOT} in the sense of \hyperlink{https://tools.ietf.org/html/rfc2119}{RFC2119}.

\begin{enumerate}
\item MUST   This word, or the terms "REQUIRED" or "SHALL", mean that the
   definition is an absolute requirement of the specification.

\item MUST NOT   This phrase, or the phrase "SHALL NOT", mean that the
   definition is an absolute prohibition of the specification.

\item SHOULD   This word, or the adjective "RECOMMENDED", mean that there
   may exist valid reasons in particular circumstances to ignore a
   particular item, but the full implications must be understood and
   carefully weighed before choosing a different course.

\item SHOULD NOT   This phrase, or the phrase "NOT RECOMMENDED" mean that
   there may exist valid reasons in particular circumstances when the
   particular behavior is acceptable or even useful, but the full
   implications should be understood and the case carefully weighed
   before implementing any behavior described with this label.
\end{enumerate} 

\section{General Requirements}

The fuselage made of fiber pipe elements with an inner diameter of 48mm. 

\begin{req}\label{req:innerdia}
All electronic and mechanical parts inside the fuselage MUST fit into the pipe with an inner diameter of 48mm.
\end{req}

\section{Battery}

The battery section is the first section after the tip of the drone. 

\begin{req}\label{req:batcon}
The battery MUST provide an XT60-F (female) connector.
\end{req}

\begin{req}\label{req:batcablelen}
The battery cable MUST have a length between 30mm and 40mm.
\end{req}

\section{Flight Control Computer}
The flight computer.

\section{Camera}

The camera section provides the mechanical mount the cameras. The cameras are connected with the image computer. 

\begin{table}[htp]
\caption{Camera types for SearchWing Fiber}
\begin{center}
\begin{tabular}{lccc}
         & PiCamV2   & PiCamV3   & ArduCamV3 \\
Sensor   & IMX219    & IMX708    & IMX708 \\
Focus    & fixed     & auto      & fixed \\
Width    & 25mm      & 25mm      & 25mm \\
Length   & 24mm      & 24mm      & 24mm \\
Height   & 9mm       & 11.5mm    & t.b.c. \\
HFOV     & 62.2      & 66        & 66 \\
VFOV     & 48.8      & 41        & 41 \\
Resol.   & 3280x2464 & 4608x2592 & 4608x2592 \\
Cable    & 15 Pin    & 15 pin    & 22 pin \\
\end{tabular}
\end{center}
\label{tab:cams}
\end{table}

The classic SearchWing drone uses the 8 Megapixel Raspberry Pi Camera V2 with a fixed focus lens. The Raspberry Pi Foundation offers a 12 Megapixel Raspberry Pi Camera V3 which has an autofocus, i.e. mechanically movable, lens mount. The width (25mm) and length (24mm) of the V2 and V3 cameras are identical. The height of the V3 camera is 11.5mm while the V2 camera has a height of 9mm. The V2 camera is flight proven. The Raspberry V3 camera has certain risks:

\begin{itemize}
\item The autofocus system with the movable lens may show problems due to vibrations during flight.
\item The higher resolution results in different pixel clock frequencies on the camera cable. This seems to impact GPS as it results in disturbers in the same frequency band that GPS uses.
\end{itemize}

Both Raspberry Cameras use a 15 pin camera cable with 1mm pitch. The width of the cable is approx.\;16 mm. 

Arducam offers a 12 MP camera with the same IMX708 camera chip that is used in the Raspberry Pi Camera V3 but with a fixed focus lens system \cite{arducamv3}. The Arducam camera uses a 22 pin cable with 0.5mm pitch. This is same cable type that is used on the Raspberry Pi Zero and on the Raspberry Pi 4 Compute Module IO board. The width of the cable is approx.\;12mm. The fixed focus lens promises less risks compared to the Raspberry Pi V3 camera. Table \ref{tab:cams} shows some parameters of the discussed cameras. 

The screw holes all seem to be at the same position for all cameras.

\subsection{Camery Types}

The following camera types are considered.

\begin{req}\label{req:camtype}
The camera section MUST support a ArduCam V3 fixed focus type.
\end{req}

\begin{req}\label{req:camtype2}
The camera section SHOULD support a Raspberry Pi Camera V3 type.
\end{req}

\begin{req}\label{req:camtype3}
The camera section SHOULD support a Raspberry Pi Camera V2 type.
\end{req}

\subsubsection{ArduCam V3}

Figure \ref{fig:arducamcable} shows the ArduCam 12MP camera with the two possible cables. Note that the camera supports the 22pin connector for the smaller cable.

\begin{figure}[H]
\begin{center}
\includegraphics[width=.8\textwidth]{images/arducam12mp-kabel}
\end{center}
\caption{ArduCam 12MP Camera with 22pin/15pin cable attached and 22pin/22pin cable on top}
\label{fig:arducamcable}
\end{figure}

The attached cable is the 22pin/15pin cable. The cable on the top is the 22pin/22pin cable. Note that the 22pin/22pin cable has the contacts on opposite sides while the 22pi/15pin cable has the contacts on the same side. The camera board connector contacts the cable on the top (not the board) side of the connector.

\begin{figure}[H]
\begin{center}
\includegraphics[width=.49\textwidth]{images/arducam12mp-front}
\includegraphics[width=.49\textwidth]{images/arducam12mp-back}
\end{center}
\caption{ArduCam 12MP Front and Back}
\label{fig:arducam}
\end{figure}

Figure \ref{fig:arducam} shows the front and back of the Arducam 12MP camera.

\subsubsection{Raspberry Pi Camera V3}

\begin{figure}[H]
\begin{center}
\includegraphics[width=.49\textwidth]{images/raspberry-pi-camera-module-3}
\includegraphics[width=.49\textwidth]{images/raspberry-pi-camera-module-3-cable}
\end{center}
\caption{Raspberry Pi Camera V3 }
\label{fig:picamv3}
\end{figure}

Figure \ref{fig:picamv3} shows the 12 MP Raspberry Pi Camera Module V3. Note that the cammera supports the wide 15 pin connector. The contacts are towards the board side. The shown 15pin/15pin cable has contacts on the opposite sides. The connector on the camera is a SFW15R-2STE1LF with contacts on the board side \cite{picamcon}. So this is different compared to the ArduCam 12MP camera which has contacts on the top side of the connector.

\begin{figure}[H]
\begin{center}
\includegraphics[width=.49\textwidth]{images/kamera-adapterkabel-ffc-22w-auf-15w-38mm}
\includegraphics[width=.49\textwidth]{images/arducam-15pin-22pin-cable}
\end{center}
\caption{22pin/15pin cables for Raspberry Pi Zero and Raspberry Pi Cameras}
\label{fig:pizerocable}
\end{figure}

The Raspberry Pi Zero Computer has a 22pin connector which also has contacts towards the board side. Figure \ref{fig:pizerocable} shows a cable to attach a Raspberry Pi camera with a 15 pin connector with the Raspberry Pi Zero 22pin connector. The cable has the contacts on the same side. The Raspberry Pi 5 board comes with two 22pin connectors which are mounted vertical.

\subsection{Camery Mount}

Two cameras are mounted such that one camera looks to the left and the other looks to the right. There should be no view gap directly below the drone. The total angle covered by both cameras should be two times the HFOV, i.e. 2 x 66 degrees. 

\begin{req}\label{req:camangle}
The camera MUST be mounted with a view angle in a range between 31 and 33 degrees.
\end{req}

\begin{req}\label{req:caminside}
The camera MUST be mechanically retractable from the fuselage. Therefore all parts of the camera must stay inside the fuselage. The lens system MUST NOT cross the fuselage wall.
\end{req}

\begin{req}\label{req:camnum}
Two cameras (left/right viewing) MUST be supported.
\end{req}

There will be two camera sections. One section is for the camera looking to the left and the second section is for the camera looking to the right. It is mechanically not possible to fit both cameras in one section.

\subsection{Camera Cable}
The Raspberry Pi Cameras V2 and V3 have a connector for a 15 pin cable (FFC - Flat Flexible Cable). This cable has pitch of 1mm. The total width of the cable is 16mm. The ArduCam V3 camera has a connector for a 22 pin cable with a 0.5mm pitch with contacts not towards the board but on the top of the connector. The Raspberry Pi Zero and the Raspberry Pi 4 Compute Module I/O board also have a 22pin connector but with contacts towards the board side. The Waveshare board for the CM4 module uses the 15 pin cable connector. There are adapter cables available which have the 15 pin type at one side the 22 pin type at the other side. These cables are specific to Raspberry Pi hardware. When the cable has 22 pins or 15 pins on both sides, then a standard FFC cable, e.g. from Molex can be used. ArduCam offers as 

\begin{itemize}
\item 22 pin to 15 pin cable with length 38mm
\item 22 pin to 15 pin cable with length 73mm
\item 22 pin to 15 pin cable with length 150mm
\end{itemize}

The short cable is depicted in figure \ref{fig:pizerocable}. All cables have contacts on the same side \cite{arducamcable3}. The default cable that comes with the V3 camera is a 200mm 15 pin cable. The Raspberry Pi foundation offers shielded 22 pin to 15 pin cables with a length of 200mm, 300mm or 500mm. Reichelt offers

\begin{itemize}
\item 15 pin to 15 pin cable with length 50mm
\item 15 pin to 15 pin cable with length 100mm
\item 15 pin to 15 pin cable with length 150mm
\end{itemize}

Ideally (maybe) there is some combination of Raspberry Pi V3 camera and cable and Arducam V3 camera with a cable such that the positions of the image board connector and the camera remain the same.

\begin{req}\label{req:camcabletwist}
The camera cable MUST NOT be twisted.
\end{req}

\begin{req}\label{req:camcablelength}
The camera cable SHOULD be short.
\end{req}


\section{Image Computer}

\section{Wifi Communication}

\begin{req}\label{req:wifimodule}
The Mikrotik Groove 52HPn Wifi board MUST be supported.
\end{req}

%\bibliography{sw-requirements}
%\bibliographystyle{IEEEtran}
%
%\bibliographystyle{plaindin}

%\bibliographystyle{alphadin}, i
%\bibliographystyle{dinat}
%\bibliography{dt-skript}

\printbibliography

\end{document}  
